@echo off 
echo TAMSAT RFE monthly accumulated rainfall product (rainfall in mm)
echo Imported from archive
echo File name convention rfe2011_03.nc
echo.
echo.

set longfilename=%1
set shortfilename1=%longfilename:~0,4%
set shortfilename2=%longfilename:~4,2%
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8

cd\
%OutputDrive%
cd %OutputDir%

echo rfe%shortfilename1%_%shortfilename2%
echo your current working directory = %OutputDrive%\%OutputDir%
echo.
echo.


"%UtilDir%\wget\wget.exe" http://tamsat.org.uk/public_data/%shortfilename1%/%shortfilename2%/rfe%shortfilename1%_%shortfilename2%.nc

echo off
if not exist "%OutputDrive%\%OutputDir%\rfe%shortfilename1%_%shortfilename2%.nc"  goto MESSAGE
echo The file(s) "rfe%shortfilename1%_%shortfilename2%.nc" has been retrieved and transferred to your current working directory
echo.
echo.

GOTO START

:MESSAGE
echo The input file was not found in the archive.
echo Check your Date stamp settings
echo Your current Date stamp used is %longfilename%
echo Data is retrieved from http://tamsat.org.uk/public_data/
echo Check also manually if the data exists on ftp archive (see link above)
echo Internet has a transient nature - addresses might not be valid or has changed after some time!


pause

GOTO END

:START
rename rfe%shortfilename1%_%shortfilename2%.nc rfe%shortfilename1%%shortfilename2%.nc


"%GdalDir%\gdal_translate.exe" -of ilwis %OutputDrive%\%OutputDir%\rfe%shortfilename1%%shortfilename2%.nc %OutputDrive%\%OutputDir%\rfe%shortfilename1%%shortfilename2%a.mpr

copy "%utildir%\maps\rfeland_mask1.zip"

"%utildir%\7z" e rfeland_mask1.zip
"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\rfe%shortfilename1%%shortfilename2%a.mpr %utildir%\rfe_nc
"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\rfe%shortfilename1%%shortfilename2%:=iff(%OutputDrive%\%OutputDir%\africaland_mask1=1 and %OutputDrive%\%OutputDir%\rfe%shortfilename1%%shortfilename2%a=0,0,%OutputDrive%\%OutputDir%\rfe%shortfilename1%%shortfilename2%a.mpr)
"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\rfe%shortfilename1%%shortfilename2%.mpr %utildir%\rfe_nc

del rfe%shortfilename1%%shortfilename2%.nc
del rfe%shortfilename1%%shortfilename2%.mpr.aux.xml
del rfeland_mask1.*
del rfe%shortfilename1%%shortfilename2%a.mp*
del africaland_mask1.*

:END
"%IlwDir%\ilwis.exe" -C closeall