@echo off
echo Extract Chirps Global Precipitation
echo Precipitation in mm/pentad
echo Each month consists of 6 pentads
echo pentad 1 = 0-5, pendtad 2= 6-10, pentad 3= 11-15
echo pentad 4 = 16-20, pendtad 5= 21-25, pentad 6= 26 to end of month
echo File name format chirps-v1.8.1981.01.1.tif

echo.
echo.

set longfilename=%1
set shortfilename1=%longfilename:~0,4%
set shortfilename2=%longfilename:~4,2%
set shortfilename3=%longfilename:~6,1%
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8


cd\
%OutputDrive%
cd %OutputDir%


echo your current working directory = %OutputDrive%\%OutputDir%
echo.
echo.

"%UtilDir%\wget\wget.exe" "ftp://chg-ftpout.geog.ucsb.edu/pub/org/chg/products/CHIRPS-latest/global_pentad/tifs/chirps-v1.8.%shortfilename1%.%shortfilename2%.%shortfilename3%.tif"



echo off
if not exist "%OutputDrive%\%OutputDir%\chirps-v1.8.%shortfilename1%.%shortfilename2%.%shortfilename3%.tif"  goto MESSAGE
echo The file(s) "chirps-v1.8.%shortfilename1%.%shortfilename2%.%shortfilename3%.tif" has been retrieved and transferred to your current working directory
echo.
echo.

GOTO START

:MESSAGE
echo The input file was not found in the archive.
echo Check your Date stamp settings
echo Your current Date stamp used is %shortfilename1%%shortfilename2%%shortfilename3%
echo Data is retrieved from ftp://chg-ftpout.geog.ucsb.edu/pub/org/chg/products/CHIRPS-latest/global_pentad/tifs
echo Check also manually if the data exists on ftp archive (see link above)
echo Internet has a transient nature - addresses might not be valid or has changed after some time!


pause

GOTO END

:START
rename "chirps-v1.8.%shortfilename1%.%shortfilename2%.%shortfilename3%.tif" chirps_%shortfilename1%%shortfilename2%%shortfilename3%.tif

"%GdalDir%\gdal_translate.exe" -of ilwis %OutputDrive%\%OutputDir%\chirps_%shortfilename1%%shortfilename2%%shortfilename3%.tif %OutputDrive%\%OutputDir%\chirpst_%shortfilename1%%shortfilename2%%shortfilename3%.tif
"%IlwDir%\ilwis.exe" -C setgrf '%OutputDrive%\%OutputDir%\chirpst_%shortfilename1%%shortfilename2%%shortfilename3%'.mpr '%Utildir%\chirps'
"%IlwDir%\ilwis.exe" -C '%OutputDrive%\%OutputDir%\chirps_%shortfilename1%%shortfilename2%%shortfilename3%'.mpr{dom=value;vr=0:10000:0.01}:=iff('%OutputDrive%\%OutputDir%\chirpst_%shortfilename1%%shortfilename2%%shortfilename3%' ge 0,'%OutputDrive%\%OutputDir%\chirpst_%shortfilename1%%shortfilename2%%shortfilename3%',?)

rem delete obsolete objects

del "%OutputDrive%\%OutputDir%\chirps_%shortfilename1%%shortfilename2%%shortfilename3%.tif"
del "%OutputDrive%\%OutputDir%\chirpst_%shortfilename1%%shortfilename2%%shortfilename3%.mp*"
del "%OutputDrive%\%OutputDir%\chirpst_%shortfilename1%%shortfilename2%%shortfilename3%.grf"
del "%OutputDrive%\%OutputDir%\chirpst_%shortfilename1%%shortfilename2%%shortfilename3%.csy"
del "%OutputDrive%\%OutputDir%\chirpst_%shortfilename1%%shortfilename2%%shortfilename3%.tif.aux.xml"


:END
"%IlwDir%\ilwis.exe" -C closeall