@echo off
echo Extract FEWS eMODIS Short term mean NDVI
echo Mean from 2001-2010 
echo eMODIS 10-day maximum-value composite NDVI images at 250m spatial resolution 
echo Note periods (odd and even periods)
echo File name format weststm01.zip (west=west stm=short term mean africa,01=month)
echo Time string entered for example 01
echo.
echo.

rem shortfilename1 = month

set longfilename=%1

set shortfilename1=%longfilename:~0,2%

set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8



cd\
%OutputDrive%
cd %OutputDir%


echo your current working directory = %OutputDrive%\%OutputDir%
echo.
echo.

echo set OutputDrive=%4>inputparam.bat
echo set OutputDir=%5>>inputparam.bat
echo set gdalDir=%6>>inputparam.bat
echo set IlwDir=%7>>inputparam.bat
echo set UtilDir=%8>>inputparam.bat


"%UtilDir%\wget\wget.exe" http://earlywarning.usgs.gov/ftp2/eMODIS/north/northstm%shortfilename1%.zip

echo off
if not exist "%OutputDrive%\%OutputDir%\northstm%shortfilename1%.zip"  goto MESSAGE
echo The file(s) "northstm%shortfilename1%.zip" has been retrieved and transferred to your current working directory
echo.
echo.

GOTO START

:MESSAGE
echo The input file was not found in the archive.
echo Check your Date stamp settings
echo Your current Date stamp used is %longfilename%
echo Data is retrieved from http://earlywarning.usgs.gov/ftp2/eMODIS/north/
echo Check also manually if the data exists on ftp archive (see link above)
echo Internet has a transient nature - addresses might not be valid or has changed after some time!


pause

GOTO END

:START

"%UtilDir%\7z.exe" e northstm%shortfilename1%.zip

IF EXIST %OutputDrive%\%OutputDir%\na1stm.tif (
ren %OutputDrive%\%OutputDir%\na1stm.tif na01stm.tif
) 

IF EXIST %OutputDrive%\%OutputDir%\na2stm.tif (
ren %OutputDrive%\%OutputDir%\na2stm.tif na02stm.tif
) 

IF EXIST %OutputDrive%\%OutputDir%\na3stm.tif (
ren %OutputDrive%\%OutputDir%\na3stm.tif na03stm.tif
) 

IF EXIST %OutputDrive%\%OutputDir%\na4stm.tif (
ren %OutputDrive%\%OutputDir%\na4stm.tif na04stm.tif
) 

IF EXIST %OutputDrive%\%OutputDir%\na5stm.tif (
ren %OutputDrive%\%OutputDir%\na5stm.tif na05stm.tif
) 

IF EXIST %OutputDrive%\%OutputDir%\na6stm.tif (
ren %OutputDrive%\%OutputDir%\na6stm.tif na06stm.tif
) 

IF EXIST %OutputDrive%\%OutputDir%\na7stm.tif (
ren %OutputDrive%\%OutputDir%\na7stm.tif na07stm.tif
) 

IF EXIST %OutputDrive%\%OutputDir%\na1stm.tif (
ren %OutputDrive%\%OutputDir%\na1stm.tif na01stm.tif
) 

IF EXIST %OutputDrive%\%OutputDir%\na8stm.tif (
ren %OutputDrive%\%OutputDir%\na8stm.tif na08stm.tif
) 

IF EXIST %OutputDrive%\%OutputDir%\na9stm.tif (
ren %OutputDrive%\%OutputDir%\na9stm.tif na09stm.tif
) 


copy %IlwDir%\Extensions\ISOD-Toolbox\toolbox_batchroutines\fews_emodis_hstm_import_loop.bat


for %%j in (na*stm.tif) do cmd /c fews_emodis_hstm_import_loop.bat %%j


del northstm%shortfilename1%.zip
del inputparam.bat
del fews_emodis_hstm_import_loop.bat
del na*.tfw
del na*.tif

:END
"%IlwDir%\ilwis.exe" -C closeall